com.microfocus.awm.model.internal

## Enum TaurusConfigLoader.EModelLocation

- java.lang.Object
- - java.lang.Enum<TaurusConfigLoader.EModelLocation>
  - - com.microfocus.awm.model.internal.TaurusConfigLoader.EModelLocation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TaurusConfigLoader.EModelLocation>
  Enclosing class:
    TaurusConfigLoader

      public static enum TaurusConfigLoader.EModelLocation
      extends java.lang.Enum<TaurusConfigLoader.EModelLocation>

  Enumeration for possible model locations.
  Author:
    Ralf Pakosch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL` Local or network path.
    `MVS` MVS file system (z/OS).
    `USS` Unix System Services

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaurusConfigLoader.EModelLocation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TaurusConfigLoader.EModelLocation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL

          public static final TaurusConfigLoader.EModelLocation LOCAL

      Local or network path.

    - #### MVS

          public static final TaurusConfigLoader.EModelLocation MVS

      MVS file system (z/OS).

    - #### USS

          public static final TaurusConfigLoader.EModelLocation USS

      Unix System Services

  - ### Method Detail

    - #### values

          public static TaurusConfigLoader.EModelLocation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaurusConfigLoader.EModelLocation c : TaurusConfigLoader.EModelLocation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaurusConfigLoader.EModelLocation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.